Create a Knowledge Chunk - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a Knowledge Chunk
POST
/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data ' \
{ \
"order": 1, \
"text": "This is a paragraph from an article", \
"data": {} \
}'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks"
payload = {
"order": 1,
"text": "This is a paragraph from an article",
"data": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({order: 1, text: 'This is a paragraph from an article', data: {}})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}/chunks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order' => 1,
'text' => 'This is a paragraph from an article',
'data' => []
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Codes
- 201: Successful creation of a chunk.
- 400: Bad Request.
- 401: Unauthorized.
- 402: Payment required.
- 403: Forbidden.
- 404: Not found.
- 405: Method not allowed.
- 409: Conflict.
- 413: Payload too large.
- 500: Internal server error.
- 501: Not implemented.
- 502: Bad Gateway.
- 503: Service unavailable.
- 504: Gateway timeout.
JSON Structure
{
"order": 1,
"text": "This is a paragraph from an article",
"data": {},
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Body Parameters
- order: (number) The order of the KnowledgeChunk.
- text: (string) The content of the chunk.
- data: (object) Additional data associated with the KnowledgeChunk.
Response Metadata
Returns a KnowledgeChunk metadata object.
- order
- text
- data
- referenceId
- _id
- createdAt
- lastChanged
- createdBy
- lastChangedBy